using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace Performance.DtoModels
{
    /// <summary> 验证码类型 </summary>
    public enum SmsCodeType
    {
        [Description("登录")]
        Login = 1,
        [Description("其他")]
        Other = 2,
    }

    /// <summary> 用户状态 </summary>
    public enum States
    {
        [Description("启用")]
        Enabled = 1,
        [Description("禁用")]
        Disabled = 2,
    }

    /// <summary> 提取数据使用模板 </summary>
    public enum UseTemplate
    {
        /// <summary> 上次绩效 </summary>
        [Description("上次绩效")]
        LastAllot = 1,
        /// <summary> 配置模板 </summary>
        [Description("配置模板")]
        Config = 2,
    }

    /// <summary> 提取数据使用模板 </summary>
    public enum DbSrouceType
    {
        /// <summary> 标准库 </summary>
        [Description("标准库")]
        Standard = 1,
        /// <summary> 绩效库 </summary>
        [Description("绩效库")]
        Performance = 2,
    }

    public enum AllotStates
    {
        /// <summary> 数据未上传 </summary>
        [Description("数据未上传")]
        NoData = 0,
        /// <summary> 数据已上传 </summary>
        [Description("数据已上传")]
        FileUploaded = 1,
        /// <summary> 正在校验数据 </summary>
        [Description("正在校验数据")]
        InCheckData = 2,
        /// <summary> 数据验证通过 </summary>
        [Description("数据验证通过")]
        CheckPass = 3,
        /// <summary> 数据错误 </summary>
        [Description("数据错误")]
        CheckFail = 4,
        /// <summary> 正在生成绩效 </summary>
        [Description("正在生成绩效")]
        InGenerate = 5,
        /// <summary> 绩效下发 </summary>
        [Description("绩效下发")]
        GenerateSucceed = 6,
        /// <summary> 绩效解析失败 </summary>
        [Description("绩效解析失败")]
        GenerateFail = 7,
        /// <summary> 归档 </summary>
        [Description("归档")]
        Archive = 8,
        /// <summary> 等待 </summary>
        [Description("等待")]
        Wait = 9,
        /// <summary> 绩效结果解析成功 </summary>
        [Description("数据验证通过")]
        GenerateAccomplish = 10,
    }

    public enum AgWorkloadType
    {
        /// <summary>
        /// 核算前奖励
        /// </summary>
        PreAccountingReward = -2,
        /// <summary>
        /// 单项奖励
        /// </summary>
        SingleAwards = -1,
        /// <summary>
        /// 工作量
        /// </summary>
        Workload = 0,
    }
    public enum DataFormat
    {
        /// <summary> 普通格式 </summary>
        普通格式,
        /// <summary> 小数 </summary>
        小数,
        /// <summary> 小数 </summary>
        小数1,
        /// <summary> 整数 </summary>
        整数,
        /// <summary> 货币 </summary>
        货币,
        /// <summary> 百分比 </summary>
        百分比,
        /// <summary> 科学计数 </summary>
        科学计数,
        /// <summary> 分数 </summary>
        分数,
        /// <summary> 日期 </summary>
        日期YYYYMMDD
    }

    public enum Role
    {
        绩效管理员 = 1,
        医院管理员 = 2,
        护士长 = 3,
        科主任 = 4,
        绩效核算办 = 5,
        院领导 = 6,
        财务科 = 7,
        人事科 = 8,
        特殊科室 = 9,
        行政科室 = 10,
        数据收集 = 11,
        护理部审核 = 12,
        绩效查询 = 13,
        审计 = 14,
    }

    public class Background
    {
        public enum JobType
        {
            生成测算表 = 1,
            提取数据 = 2,
            报表 = 3,
            自定义抽取 = 4,
        }
        public enum Status
        {
            等待 = 1,
            执行中 = 2,
            完成 = 3,
            失败 = 10,
            无效 = 88,
            超时 = 99,
        }
    }
    public class Attendance
    {
        public enum Type
        {
            开始,
            调入,
            结束,
        }
        public enum Deduction
        {
            核减 = 1,
            不核减 = 2,
        }

    }
}
